import * as React from "react";
import { NotificationProviderContext } from "../NotificationProvider";
import { CloseNotificationButtonProps } from "./CloseNotificationButtonProps";
export declare class CloseNotificationButton extends React.Component<CloseNotificationButtonProps> {
    static readonly defaultProps: {
        notificationId?: string;
        accept?: string;
        acceptCharset?: string;
        action?: string;
        allowFullScreen?: boolean;
        allowTransparency?: boolean;
        alt?: string;
        as?: string;
        async?: boolean;
        autoComplete?: string;
        autoFocus?: boolean;
        autoPlay?: boolean;
        capture?: boolean;
        cellPadding?: React.ReactText;
        cellSpacing?: React.ReactText;
        charSet?: string;
        challenge?: string;
        checked?: boolean;
        cite?: string;
        classID?: string;
        cols?: number;
        colSpan?: number;
        content?: string;
        controls?: boolean;
        coords?: string;
        crossOrigin?: string;
        data?: string;
        dateTime?: string;
        default?: boolean;
        defer?: boolean;
        disabled?: boolean;
        download?: any;
        encType?: string;
        form?: string;
        formAction?: string;
        formEncType?: string;
        formMethod?: string;
        formNoValidate?: boolean;
        formTarget?: string;
        frameBorder?: React.ReactText;
        headers?: string;
        height?: React.ReactText;
        high?: number;
        href?: string;
        hrefLang?: string;
        htmlFor?: string;
        httpEquiv?: string;
        integrity?: string;
        keyParams?: string;
        keyType?: string;
        kind?: string;
        label?: string;
        list?: string;
        loop?: boolean;
        low?: number;
        manifest?: string;
        marginHeight?: number;
        marginWidth?: number;
        max?: React.ReactText;
        maxLength?: number;
        media?: string;
        mediaGroup?: string;
        method?: string;
        min?: React.ReactText;
        minLength?: number;
        multiple?: boolean;
        muted?: boolean;
        name?: string;
        nonce?: string;
        noValidate?: boolean;
        open?: boolean;
        optimum?: number;
        pattern?: string;
        placeholder?: string;
        playsInline?: boolean;
        poster?: string;
        preload?: string;
        readOnly?: boolean;
        rel?: string;
        required?: boolean;
        reversed?: boolean;
        rows?: number;
        rowSpan?: number;
        sandbox?: string;
        scope?: string;
        scoped?: boolean;
        scrolling?: string;
        seamless?: boolean;
        selected?: boolean;
        shape?: string;
        size?: number;
        sizes?: string;
        span?: number;
        src?: string;
        srcDoc?: string;
        srcLang?: string;
        srcSet?: string;
        start?: number;
        step?: React.ReactText;
        summary?: string;
        target?: string;
        type?: string;
        useMap?: string;
        value?: string | number | string[];
        width?: React.ReactText;
        wmode?: string;
        wrap?: string;
        defaultChecked?: boolean;
        defaultValue?: string | string[];
        suppressContentEditableWarning?: boolean;
        suppressHydrationWarning?: boolean;
        accessKey?: string;
        className?: string;
        contentEditable?: boolean;
        contextMenu?: string;
        dir?: string;
        draggable?: boolean;
        hidden?: boolean;
        id?: string;
        lang?: string;
        slot?: string;
        spellCheck?: boolean;
        style?: React.CSSProperties;
        tabIndex?: number;
        title?: string;
        inputMode?: string;
        is?: string;
        radioGroup?: string;
        role?: string;
        about?: string;
        datatype?: string;
        inlist?: any;
        prefix?: string;
        property?: string;
        resource?: string;
        typeof?: string;
        vocab?: string;
        autoCapitalize?: string;
        autoCorrect?: string;
        autoSave?: string;
        color?: string;
        itemProp?: string;
        itemScope?: boolean;
        itemType?: string;
        itemID?: string;
        itemRef?: string;
        results?: number;
        security?: string;
        unselectable?: boolean;
        'aria-activedescendant'?: string;
        'aria-atomic'?: boolean | "false" | "true";
        'aria-autocomplete'?: "list" | "none" | "inline" | "both";
        'aria-busy'?: boolean | "false" | "true";
        'aria-checked'?: boolean | "false" | "true" | "mixed";
        'aria-colcount'?: number;
        'aria-colindex'?: number;
        'aria-colspan'?: number;
        'aria-controls'?: string;
        'aria-current'?: boolean | "step" | "false" | "true" | "page" | "location" | "date" | "time";
        'aria-describedby'?: string;
        'aria-details'?: string;
        'aria-disabled'?: boolean | "false" | "true";
        'aria-dropeffect'?: "none" | "copy" | "execute" | "link" | "move" | "popup";
        'aria-errormessage'?: string;
        'aria-expanded'?: boolean | "false" | "true";
        'aria-flowto'?: string;
        'aria-grabbed'?: boolean | "false" | "true";
        'aria-haspopup'?: boolean | "false" | "true" | "menu" | "listbox" | "tree" | "grid" | "dialog";
        'aria-hidden'?: boolean | "false" | "true";
        'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling";
        'aria-keyshortcuts'?: string;
        'aria-label'?: string;
        'aria-labelledby'?: string;
        'aria-level'?: number;
        'aria-live'?: "off" | "assertive" | "polite";
        'aria-modal'?: boolean | "false" | "true";
        'aria-multiline'?: boolean | "false" | "true";
        'aria-multiselectable'?: boolean | "false" | "true";
        'aria-orientation'?: "horizontal" | "vertical";
        'aria-owns'?: string;
        'aria-placeholder'?: string;
        'aria-posinset'?: number;
        'aria-pressed'?: boolean | "false" | "true" | "mixed";
        'aria-readonly'?: boolean | "false" | "true";
        'aria-relevant'?: "additions" | "additions text" | "all" | "removals" | "text";
        'aria-required'?: boolean | "false" | "true";
        'aria-roledescription'?: string;
        'aria-rowcount'?: number;
        'aria-rowindex'?: number;
        'aria-rowspan'?: number;
        'aria-selected'?: boolean | "false" | "true";
        'aria-setsize'?: number;
        'aria-sort'?: "none" | "ascending" | "descending" | "other";
        'aria-valuemax'?: number;
        'aria-valuemin'?: number;
        'aria-valuenow'?: number;
        'aria-valuetext'?: string;
        children?: React.ReactNode;
        dangerouslySetInnerHTML?: {
            __html: string;
        };
        onCopy?: (event: React.ClipboardEvent<HTMLButtonElement>) => void;
        onCopyCapture?: (event: React.ClipboardEvent<HTMLButtonElement>) => void;
        onCut?: (event: React.ClipboardEvent<HTMLButtonElement>) => void;
        onCutCapture?: (event: React.ClipboardEvent<HTMLButtonElement>) => void;
        onPaste?: (event: React.ClipboardEvent<HTMLButtonElement>) => void;
        onPasteCapture?: (event: React.ClipboardEvent<HTMLButtonElement>) => void;
        onCompositionEnd?: (event: React.CompositionEvent<HTMLButtonElement>) => void;
        onCompositionEndCapture?: (event: React.CompositionEvent<HTMLButtonElement>) => void;
        onCompositionStart?: (event: React.CompositionEvent<HTMLButtonElement>) => void;
        onCompositionStartCapture?: (event: React.CompositionEvent<HTMLButtonElement>) => void;
        onCompositionUpdate?: (event: React.CompositionEvent<HTMLButtonElement>) => void;
        onCompositionUpdateCapture?: (event: React.CompositionEvent<HTMLButtonElement>) => void;
        onFocus?: (event: React.FocusEvent<HTMLButtonElement>) => void;
        onFocusCapture?: (event: React.FocusEvent<HTMLButtonElement>) => void;
        onBlur?: (event: React.FocusEvent<HTMLButtonElement>) => void;
        onBlurCapture?: (event: React.FocusEvent<HTMLButtonElement>) => void;
        onChange?: (event: React.FormEvent<HTMLButtonElement>) => void;
        onChangeCapture?: (event: React.FormEvent<HTMLButtonElement>) => void;
        onInput?: (event: React.FormEvent<HTMLButtonElement>) => void;
        onInputCapture?: (event: React.FormEvent<HTMLButtonElement>) => void;
        onReset?: (event: React.FormEvent<HTMLButtonElement>) => void;
        onResetCapture?: (event: React.FormEvent<HTMLButtonElement>) => void;
        onSubmit?: (event: React.FormEvent<HTMLButtonElement>) => void;
        onSubmitCapture?: (event: React.FormEvent<HTMLButtonElement>) => void;
        onInvalid?: (event: React.FormEvent<HTMLButtonElement>) => void;
        onInvalidCapture?: (event: React.FormEvent<HTMLButtonElement>) => void;
        onLoad?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onLoadCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onError?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onErrorCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onKeyDown?: (event: React.KeyboardEvent<HTMLButtonElement>) => void;
        onKeyDownCapture?: (event: React.KeyboardEvent<HTMLButtonElement>) => void;
        onKeyPress?: (event: React.KeyboardEvent<HTMLButtonElement>) => void;
        onKeyPressCapture?: (event: React.KeyboardEvent<HTMLButtonElement>) => void;
        onKeyUp?: (event: React.KeyboardEvent<HTMLButtonElement>) => void;
        onKeyUpCapture?: (event: React.KeyboardEvent<HTMLButtonElement>) => void;
        onAbort?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onAbortCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onCanPlay?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onCanPlayCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onCanPlayThrough?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onCanPlayThroughCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onDurationChange?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onDurationChangeCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onEmptied?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onEmptiedCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onEncrypted?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onEncryptedCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onEnded?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onEndedCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onLoadedData?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onLoadedDataCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onLoadedMetadata?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onLoadedMetadataCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onLoadStart?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onLoadStartCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onPause?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onPauseCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onPlay?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onPlayCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onPlaying?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onPlayingCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onProgress?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onProgressCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onRateChange?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onRateChangeCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onSeeked?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onSeekedCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onSeeking?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onSeekingCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onStalled?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onStalledCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onSuspend?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onSuspendCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onTimeUpdate?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onTimeUpdateCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onVolumeChange?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onVolumeChangeCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onWaiting?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onWaitingCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onClick?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onClickCapture?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onContextMenu?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onContextMenuCapture?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onDoubleClick?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onDoubleClickCapture?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onDrag?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragCapture?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragEnd?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragEndCapture?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragEnter?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragEnterCapture?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragExit?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragExitCapture?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragLeave?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragLeaveCapture?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragOver?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragOverCapture?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragStart?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDragStartCapture?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDrop?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onDropCapture?: (event: React.DragEvent<HTMLButtonElement>) => void;
        onMouseDown?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onMouseDownCapture?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onMouseEnter?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onMouseLeave?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onMouseMove?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onMouseMoveCapture?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onMouseOut?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onMouseOutCapture?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onMouseOver?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onMouseOverCapture?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onMouseUp?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onMouseUpCapture?: (event: React.MouseEvent<HTMLButtonElement>) => void;
        onSelect?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onSelectCapture?: (event: React.SyntheticEvent<HTMLButtonElement>) => void;
        onTouchCancel?: (event: React.TouchEvent<HTMLButtonElement>) => void;
        onTouchCancelCapture?: (event: React.TouchEvent<HTMLButtonElement>) => void;
        onTouchEnd?: (event: React.TouchEvent<HTMLButtonElement>) => void;
        onTouchEndCapture?: (event: React.TouchEvent<HTMLButtonElement>) => void;
        onTouchMove?: (event: React.TouchEvent<HTMLButtonElement>) => void;
        onTouchMoveCapture?: (event: React.TouchEvent<HTMLButtonElement>) => void;
        onTouchStart?: (event: React.TouchEvent<HTMLButtonElement>) => void;
        onTouchStartCapture?: (event: React.TouchEvent<HTMLButtonElement>) => void;
        onScroll?: (event: React.UIEvent<HTMLButtonElement>) => void;
        onScrollCapture?: (event: React.UIEvent<HTMLButtonElement>) => void;
        onWheel?: (event: React.WheelEvent<HTMLButtonElement>) => void;
        onWheelCapture?: (event: React.WheelEvent<HTMLButtonElement>) => void;
        onAnimationStart?: (event: React.AnimationEvent<HTMLButtonElement>) => void;
        onAnimationStartCapture?: (event: React.AnimationEvent<HTMLButtonElement>) => void;
        onAnimationEnd?: (event: React.AnimationEvent<HTMLButtonElement>) => void;
        onAnimationEndCapture?: (event: React.AnimationEvent<HTMLButtonElement>) => void;
        onAnimationIteration?: (event: React.AnimationEvent<HTMLButtonElement>) => void;
        onAnimationIterationCapture?: (event: React.AnimationEvent<HTMLButtonElement>) => void;
        onTransitionEnd?: (event: React.TransitionEvent<HTMLButtonElement>) => void;
        onTransitionEndCapture?: (event: React.TransitionEvent<HTMLButtonElement>) => void;
        ref?: React.Ref<HTMLButtonElement>;
        key?: React.ReactText;
    };
    static readonly contextTypes: {
        createNotification: import("../../node_modules/@types/prop-types/index").Validator<any>;
        deleteNotification: import("../../node_modules/@types/prop-types/index").Validator<any>;
        notificationsList: import("../../node_modules/@types/prop-types/index").Validator<any>;
    };
    static readonly propTypes: {
        notificationId: import("../../node_modules/@types/prop-types/index").Validator<any>;
        accept?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        acceptCharset?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        action?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        allowFullScreen?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        allowTransparency?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        alt?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        as?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        async?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        autoComplete?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        autoFocus?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        autoPlay?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        capture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        cellPadding?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        cellSpacing?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        charSet?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        challenge?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        checked?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        cite?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        classID?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        cols?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        colSpan?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        content?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        controls?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        coords?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        crossOrigin?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        data?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        dateTime?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        default?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        defer?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        disabled?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        download?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        encType?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        form?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        formAction?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        formEncType?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        formMethod?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        formNoValidate?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        formTarget?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        frameBorder?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        headers?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        height?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        high?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        href?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        hrefLang?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        htmlFor?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        httpEquiv?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        integrity?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        keyParams?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        keyType?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        kind?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        label?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        list?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        loop?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        low?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        manifest?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        marginHeight?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        marginWidth?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        max?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        maxLength?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        media?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        mediaGroup?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        method?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        min?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        minLength?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        multiple?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        muted?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        name?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        nonce?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        noValidate?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        open?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        optimum?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        pattern?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        placeholder?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        playsInline?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        poster?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        preload?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        readOnly?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        rel?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        required?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        reversed?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        rows?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        rowSpan?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        sandbox?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        scope?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        scoped?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        scrolling?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        seamless?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        selected?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        shape?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        size?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        sizes?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        span?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        src?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        srcDoc?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        srcLang?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        srcSet?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        start?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        step?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        summary?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        target?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        type?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        useMap?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        value?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        width?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        wmode?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        wrap?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        defaultChecked?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        defaultValue?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        suppressContentEditableWarning?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        suppressHydrationWarning?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        accessKey?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        className?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        contentEditable?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        contextMenu?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        dir?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        draggable?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        hidden?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        id?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        lang?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        slot?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        spellCheck?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        style?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        tabIndex?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        title?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        inputMode?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        is?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        radioGroup?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        role?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        about?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        datatype?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        inlist?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        prefix?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        property?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        resource?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        typeof?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        vocab?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        autoCapitalize?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        autoCorrect?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        autoSave?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        color?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        itemProp?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        itemScope?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        itemType?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        itemID?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        itemRef?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        results?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        security?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        unselectable?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-activedescendant'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-atomic'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-autocomplete'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-busy'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-checked'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-colcount'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-colindex'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-colspan'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-controls'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-current'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-describedby'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-details'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-disabled'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-dropeffect'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-errormessage'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-expanded'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-flowto'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-grabbed'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-haspopup'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-hidden'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-invalid'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-keyshortcuts'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-label'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-labelledby'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-level'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-live'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-modal'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-multiline'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-multiselectable'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-orientation'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-owns'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-placeholder'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-posinset'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-pressed'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-readonly'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-relevant'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-required'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-roledescription'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-rowcount'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-rowindex'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-rowspan'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-selected'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-setsize'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-sort'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-valuemax'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-valuemin'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-valuenow'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        'aria-valuetext'?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        children?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        dangerouslySetInnerHTML?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCopy?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCopyCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCut?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCutCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onPaste?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onPasteCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCompositionEnd?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCompositionEndCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCompositionStart?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCompositionStartCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCompositionUpdate?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCompositionUpdateCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onFocus?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onFocusCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onBlur?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onBlurCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onChange?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onChangeCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onInput?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onInputCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onReset?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onResetCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onSubmit?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onSubmitCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onInvalid?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onInvalidCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onLoad?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onLoadCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onError?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onErrorCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onKeyDown?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onKeyDownCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onKeyPress?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onKeyPressCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onKeyUp?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onKeyUpCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onAbort?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onAbortCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCanPlay?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCanPlayCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCanPlayThrough?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onCanPlayThroughCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDurationChange?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDurationChangeCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onEmptied?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onEmptiedCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onEncrypted?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onEncryptedCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onEnded?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onEndedCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onLoadedData?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onLoadedDataCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onLoadedMetadata?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onLoadedMetadataCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onLoadStart?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onLoadStartCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onPause?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onPauseCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onPlay?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onPlayCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onPlaying?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onPlayingCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onProgress?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onProgressCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onRateChange?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onRateChangeCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onSeeked?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onSeekedCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onSeeking?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onSeekingCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onStalled?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onStalledCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onSuspend?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onSuspendCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTimeUpdate?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTimeUpdateCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onVolumeChange?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onVolumeChangeCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onWaiting?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onWaitingCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onClick?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onClickCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onContextMenu?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onContextMenuCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDoubleClick?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDoubleClickCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDrag?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragEnd?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragEndCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragEnter?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragEnterCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragExit?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragExitCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragLeave?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragLeaveCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragOver?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragOverCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragStart?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDragStartCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDrop?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onDropCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseDown?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseDownCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseEnter?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseLeave?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseMove?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseMoveCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseOut?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseOutCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseOver?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseOverCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseUp?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onMouseUpCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onSelect?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onSelectCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTouchCancel?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTouchCancelCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTouchEnd?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTouchEndCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTouchMove?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTouchMoveCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTouchStart?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTouchStartCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onScroll?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onScrollCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onWheel?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onWheelCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onAnimationStart?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onAnimationStartCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onAnimationEnd?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onAnimationEndCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onAnimationIteration?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onAnimationIterationCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTransitionEnd?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        onTransitionEndCapture?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        ref?: import("../../node_modules/@types/prop-types/index").Validator<any>;
        key?: import("../../node_modules/@types/prop-types/index").Validator<any>;
    };
    readonly context: NotificationProviderContext;
    render(): React.ReactNode;
    protected handleClick: (event: React.MouseEvent<HTMLButtonElement>) => void;
}
