import * as PropTypes from "prop-types";
import { NotificationStorage } from "../NotificationStorage";
export declare enum Level {
    INFO = "INFO",
    ERROR = "ERROR",
    SUCCESS = "SUCCESS"
}
export interface CreateNotificationParams {
    message: string;
    lifeTime?: number;
    level?: keyof typeof Level;
}
export interface NotificationInterface extends CreateNotificationParams {
    id: string;
}
export interface NotificationProviderContext {
    createNotification: (params: CreateNotificationParams) => void;
    deleteNotification: (id: string) => void;
    notificationsList: Array<NotificationInterface>;
}
export interface NotificationProviderProps {
    storage?: NotificationStorage;
}
export declare const NotificationProviderPropTypes: {
    [P in keyof NotificationProviderProps]: PropTypes.Validator<any>;
};
export declare const NotificationPropTypes: {
    [P in keyof NotificationInterface]: PropTypes.Validator<any>;
};
export declare const NotificationProviderContextTypes: {
    [P in keyof NotificationProviderContext]: PropTypes.Validator<any>;
};
