import * as React from "react";
import { NotificationProviderContext } from "./NotificationProvider";
export declare function withNotification<OwnProps = {}>(WrappedComponent: React.ComponentClass): {
    new (props: OwnProps, context?: any): {
        readonly context: NotificationProviderContext;
        render(): React.ReactNode;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: OwnProps) => {} | Pick<{}, K>) | Pick<{}, K>, callback?: () => void): void;
        forceUpdate(callBack?: () => void): void;
        props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<OwnProps>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<OwnProps>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<OwnProps>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<OwnProps>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<OwnProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<OwnProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<OwnProps>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<OwnProps>, nextState: Readonly<{}>, nextContext: any): void;
    };
    readonly displayName: string;
    readonly contextTypes: {
        createNotification: import("../node_modules/@types/prop-types/index").Validator<any>;
        deleteNotification: import("../node_modules/@types/prop-types/index").Validator<any>;
        notificationsList: import("../node_modules/@types/prop-types/index").Validator<any>;
    };
};
